简体   繁体   中英

SolidWorks - Creating Part file from a STEP file

I am a beginner with SolidWorks. I want to know how to find an API that lets me create a SolidWorks part file from a STEP file that I have with me. Please share some pointers.

Thanks, Pavan.

Basically you open the step file with

OpenDoc6 Method (ISldWorks)

and then save it to the solidworks file type you want.

Dim swModel As SldWorks.ModelDoc2
Set swModel = swApp.ActiveDoc
swModel.Extension.SaveAs(swxFilenaam, 0, swSaveAsOptions_e.swSaveAsOptions_Silent, Nothing, lErrors, lWarnings)

There is a complete example that handles filetypes, target subfolder and batch on this link: Example

The technical post webpages of this site follow the CC BY-SA 4.0 protocol. If you need to reprint, please indicate the site URL or the original address.Any question please contact:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2024 STACKOOM.COM